package com.yonge.cooleshow.biz.dal.vo;

import com.yonge.cooleshow.biz.dal.entity.MusicSheet;
import com.yonge.cooleshow.biz.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * Description
 *
 * @author: liujunchi
 * @date: 2022-03-30
 */
@ApiModel(value = "MusicSheetVo对象", description = "音乐曲目表查询视图对象")
public class MusicSheetVo extends MusicSheet {

    @ApiModelProperty("添加人")
    private String addName;

    @ApiModelProperty("添加头像（老师头像）")
    private String addUserAvatar;

    @ApiModelProperty("标签名")
    private String musicTagNames;

    @ApiModelProperty("声部名")
    private String subjectNames;

    @ApiModelProperty("收藏 0：否，1：是")
    private YesOrNoEnum favorite;

    public String getAddName() {
        return addName;
    }

    public void setAddName(String addName) {
        this.addName = addName;
    }

    public String getMusicTagNames() {
        return musicTagNames;
    }

    public void setMusicTagNames(String musicTagNames) {
        this.musicTagNames = musicTagNames;
    }

    public String getSubjectNames() {
        return subjectNames;
    }

    public void setSubjectNames(String subjectNames) {
        this.subjectNames = subjectNames;
    }

    public String getAddUserAvatar() {
        return addUserAvatar;
    }

    public void setAddUserAvatar(String addUserAvatar) {
        this.addUserAvatar = addUserAvatar;
    }

    public YesOrNoEnum getFavorite() {
        return favorite;
    }

    public void setFavorite(YesOrNoEnum favorite) {
        this.favorite = favorite;
    }
}
